<!--CREATE DESK--------------------------------------------------------------------------------------->

<ion-card>
  <ion-card-header>
    <ion-card-title>
      Create New Desk
    </ion-card-title>
  </ion-card-header>
  <ion-card-content>

    <form [formGroup]="formDesk">

      <div padding>
        <ion-item>
          <ion-input name="nameDesk" type="text" placeholder="Nome Desk" formControlName="nameDesk"
            style="text-transform: capitalize;"></ion-input>
        </ion-item>

        <ion-item *ngIf="formDesk.controls['nameDesk'].invalid && formDesk.controls['nameDesk'].dirty ">
          <div style=" background-color: salmon;">The field is required</div>
        </ion-item>
      </div>

      <div style="text-align:center;" padding>
        <ion-button class="add" color='primary' (click)="addNewDesk()" size="large" type="submit" [disabled]="formDesk.invalid">Add Desk</ion-button>
      </div>

    </form>
    <!--{{desks|json}}-->
  </ion-card-content>
</ion-card>
